## mender-cli 1.1.0

=== Makefile ===
GO ?= go
GOFMT ?= gofmt
V ?=
PKGS = $(shell go list ./... | grep -v vendor)
PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
		-o -type f -name '*.go' -print)
PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)
GOCYCLO ?= 15

CGO_ENABLED=1
export CGO_ENABLED

TOOLS = \
	github.com/fzipp/gocyclo \
	github.com/opennota/check/cmd/varcheck \
	github.com/mendersoftware/deadcode

VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)

GO_LDFLAGS = \
	-ldflags "-X main.Version=$(VERSION)"

ifeq ($(V),1)
BUILDV = -v
endif

TAGS =
ifeq ($(LOCAL),1)
TAGS += local
endif

ifneq ($(TAGS),)
BUILDTAGS = -tags '$(TAGS)'
endif

build:
	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

install:
	$(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

clean:
	$(GO) clean
	rm -f coverage.txt coverage-tmp.txt

get-tools:
	set -e ; for t in $(TOOLS); do \
		echo "-- go getting $$t"; \
		go get -u $$t; \
	done

check: test extracheck

test:
	$(GO) test $(BUILDV) $(PKGS)

extracheck:
	echo "-- checking if code is gofmt'ed"
	if [ -n "$$($(GOFMT) -d $(PKGFILES))" ]; then \
		echo "-- gofmt check failed"; \
		/bin/false; \
	fi
	echo "-- checking with govet"
	$(GO) tool vet $(PKGFILES_notest)
	echo "-- checking for dead code"
	deadcode -ignore version.go:Version
	echo "-- checking with varcheck"
	varcheck .
	echo "-- checking cyclometric complexity > $(GOCYCLO)"
	gocyclo -over $(GOCYCLO) $(PKGFILES_notest)

cover: coverage
	$(GO) tool cover -func=coverage.txt

htmlcover: coverage
	$(GO) tool cover -html=coverage.txt

coverage:
	rm -f coverage.txt
	echo 'mode: set' > coverage.txt
	set -e ; for p in $(PKGS); do \
		rm -f coverage-tmp.txt;  \
		$(GO) test -coverprofile=coverage-tmp.txt $$p ; \
		if [ -f coverage-tmp.txt ]; then \
			cat coverage-tmp.txt |grep -v 'mode:' >> coverage.txt; \
		fi; \
	done
	rm -f coverage-tmp.txt

.PHONY: build clean get-tools test check \
	cover htmlcover coverage

=== debian/changelog ===
mender-cli (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #920435)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Jan 2019 13:21:23 +0100

## mender-cli 1.2.0

=== debian/changelog ===
mender-cli (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Lluis Campos <lluis.campos@northern.tech>  Fri, 20 Sep 2019 09:47:20 +0200

=== debian/control ===
Source: mender-cli
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-howeyc-gopass-dev,
               golang-github-mendersoftware-mendertesting-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-gopkg-cheggaaa-pb.v1-dev
Standards-Version: 4.2.1
Homepage: https://github.com/mendersoftware/mender-cli
Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-cli
Vcs-Git: https://salsa.debian.org/go-team/packages/mender-cli.git
XS-Go-Import-Path: github.com/mendersoftware/mender-cli
Testsuite: autopkgtest-pkg-go

Package: mender-cli
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: general-purpose CLI for the Mender backend
 Mender is an open source over-the-air (OTA) software updater
 for embedded Linux devices. Mender comprises a client running at the
 embedded device, as well as a server that manages deployments across
 many devices.
 .
 This package contains a standalone tool that makes it
 much easier to work with the Mender server management APIs
 (https://docs.mender.io/apis/management-apis).
 .
 The goal with mender-cli is to simplify integration between the Mender
 server and cloud services like continuous integration (CI)/build
 automation.

## mender-cli 1.3.0

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,6 @@
 		-o -type f -name '*.go' -print)
 PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)
 GOCYCLO ?= 15
-
-CGO_ENABLED=1
-export CGO_ENABLED
 
 TOOLS = \
 	github.com/fzipp/gocyclo \
@@ -34,10 +31,16 @@
 endif
 
 build:
-	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
+	CGO_ENABLED=0 $(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
+
+build-multiplatform:
+	CGO_ENABLED=0 GOOS=linux GOARCH=amd64 $(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) \
+	     -o mender-cli.linux.amd64
+	CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 $(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) \
+	     -o mender-cli.darwin.amd64
 
 install:
-	$(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
+	CGO_ENABLED=0 $(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
 
 clean:
 	$(GO) clean

=== debian/changelog ===
mender-cli (1.3.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream version 1.3.0

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 Mar 2020 20:12:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-howeyc-gopass-dev,

## mender-cli 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 GO ?= go
 GOFMT ?= gofmt
 V ?=
-PKGS = $(shell go list ./... | grep -v vendor)
+PKGS = $(shell go list ./...)
 PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
 		-o -type f -name '*.go' -print)
 PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)
@@ -64,7 +64,7 @@
 		/bin/false; \
 	fi
 	echo "-- checking with govet"
-	$(GO) tool vet $(PKGFILES_notest)
+	$(GO) vet $(PKGS)
 	echo "-- checking for dead code"
 	deadcode -ignore version.go:Version
 	echo "-- checking with varcheck"
@@ -85,7 +85,7 @@
 		rm -f coverage-tmp.txt;  \
 		$(GO) test -coverprofile=coverage-tmp.txt $$p ; \
 		if [ -f coverage-tmp.txt ]; then \
-			cat coverage-tmp.txt |grep -v 'mode:' >> coverage.txt; \
+			cat coverage-tmp.txt | grep -v 'mode:' >> coverage.txt || /bin/true; \
 		fi; \
 	done
 	rm -f coverage-tmp.txt

=== debian/changelog ===
mender-cli (1.4.0-1) unstable; urgency=medium

  [ Lluis Campos ]
  * Remove dependency golang-github-mendersoftware-mendertesting-dev

  [ Andreas Henriksson ]
  * New upstream version 1.4.0
  * Update patches to apply again

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 27 Jul 2020 12:11:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dh-golang,
                golang-any,
                golang-github-howeyc-gopass-dev,
-               golang-github-mendersoftware-mendertesting-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-gopkg-cheggaaa-pb.v1-dev

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mender-cli-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha|b)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/mendersoftware/mender-cli/tags .*/v?(\d\S*)\.tar\.gz

## mender-cli 1.7.0+ds1

=== Makefile ===
GO ?= go
V ?=
PKGS = $(shell go list ./...)
PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
		-o -type f -name '*.go' -print)
PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)

GO_TEST_TOOLS = \
	github.com/opennota/check/cmd/varcheck \
	github.com/mendersoftware/deadcode

VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)

GO_LDFLAGS = \
	-ldflags "-X github.com/mendersoftware/mender-cli/cmd.Version=$(VERSION)"

ifeq ($(V),1)
BUILDV = -v
endif

TAGS =
ifeq ($(LOCAL),1)
TAGS += local
endif

ifneq ($(TAGS),)
BUILDTAGS = -tags '$(TAGS)'
endif

build:
	CGO_ENABLED=0 $(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

build-autocomplete-scripts: build
	@./mender-cli --generate-autocomplete

build-multiplatform:
	CGO_ENABLED=0 GOOS=linux GOARCH=amd64 $(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) \
	     -o mender-cli.linux.amd64
	CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 $(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) \
	     -o mender-cli.darwin.amd64

build-coverage:
	CGO_ENABLED=0 $(GO) test -c -o mender-cli-test \
		-coverpkg $(shell echo $(PKGS) | tr  ' ' ',')

install:
	CGO_ENABLED=0 $(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

install-autocomplete-scripts: build-autocomplete-scripts
	@echo "Installing Bash auto-complete script into ${DESTDIR}${PREFIX}/etc/bash_completion.d/"
	@install -d ${DESTDIR}$(PREFIX)/etc/bash_completion.d/
	@install -m 644 ./autocomplete/autocomplete.sh $(DESTDIR)$(PREFIX)/etc/bash_completion.d/
	@if which zsh >/dev/null 2>&1 ; then \
	echo "Installing zsh auto-complete script into ${DESTDIR}${PREFIX}/usr/local/share/zsh/site-functions/" && \
	install -d $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/ && \
	install -m 644 ./autocomplete/autocomplete.zsh $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/_mender-cli \
	; fi

clean:
	$(GO) clean
	rm -f coverage.txt coverage-tmp.txt

get-go-tools:
	set -e ; for t in $(GO_TEST_TOOLS); do \
		echo "-- go getting $$t"; \
		GO111MODULE=off go get -u $$t; \
	done

get-build-deps:
	apt-get update -qq
	apt-get install -yyq $(shell cat deb-requirements.txt)

get-deps: get-go-tools get-build-deps

test-unit:
	$(GO) test $(BUILDV) $(PKGS)

build-acceptance-tools:
	# set PROJECT_DIR="$(pwd)" for local builds
	@if [ -z ${PROJECT_DIR} ]; then\
		echo "aborting: PROJECT_DIR not set";\
	    exit 1;\
	 fi
	wget -q -O ${PROJECT_DIR}/mender-artifact https://downloads.mender.io/mender-artifact/master/mender-artifact
	chmod +x ${PROJECT_DIR}/mender-artifact

build-acceptance-image:
	docker build -t testing -f tests/Dockerfile .

build-acceptance: build-acceptance-tools build-acceptance-image

run-acceptance:
	# set e.g. SHARED_PATH="$(pwd)/shared" for local builds
	@if [ -z ${SHARED_PATH} ]; then\
		echo "aborting: SHARED_PATH not set";\
	    exit 1;\
	 fi
	mkdir -p ${SHARED_PATH}
	cp -r mender-artifact mender-cli mender-cli-test tests/* ${SHARED_PATH}
	git clone -b master https://github.com/mendersoftware/integration.git ${SHARED_PATH}/integration
	# this is basically https://github.com/mendersoftware/integration/blob/master/tests/run.sh#L51
	# to allow the tests to be run, as the composition is now generated during test image build
	sed -e '/9000:9000/d' -e '/8080:8080/d' -e '/80:80/d' -e '/443:443/d' -e '/ports:/d' ${SHARED_PATH}/integration/docker-compose.demo.yml > ${SHARED_PATH}/integration/docker-compose.testing.yml
	sed -e 's/DOWNLOAD_SPEED/#DOWNLOAD_SPEED/' -i ${SHARED_PATH}/integration/docker-compose.testing.yml
	sed -e 's/ALLOWED_HOSTS:\ .*/ALLOWED_HOSTS:\ _/' -i ${SHARED_PATH}/integration/docker-compose.testing.yml
	TESTS_DIR=${SHARED_PATH} ${SHARED_PATH}/integration/extra/travis-testing/run-test-environment acceptance ${SHARED_PATH}/integration ${SHARED_PATH}/docker-compose.acceptance.yml ;

test-static:
	echo "-- checking for dead code"
	deadcode -ignore version.go:Version
	echo "-- checking with varcheck"
	varcheck .

cover: coverage
	$(GO) tool cover -func=coverage.txt

htmlcover: coverage
	$(GO) tool cover -html=coverage.txt

coverage:
	rm -f coverage.txt
	echo 'mode: set' > coverage.txt
	set -e ; for p in $(PKGS); do \
		rm -f coverage-tmp.txt;  \
		$(GO) test -coverprofile=coverage-tmp.txt $$p ; \
		if [ -f coverage-tmp.txt ]; then \
			cat coverage-tmp.txt | grep -v 'mode:' >> coverage.txt || /bin/true; \
		fi; \
	done
	rm -f coverage-tmp.txt

.PHONY: build clean get-go-tools get-apt-deps get-deps test check \
	cover htmlcover coverage

=== debian/changelog ===
mender-cli (1.7.0+ds1-2) unstable; urgency=medium

  * Release to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jan 2022 19:58:09 +0100

mender-cli (1.7.0+ds1-1) experimental; urgency=medium

  * debian/watch: Mangle to use +ds1 suffix
  * New upstream version 1.7.0+ds1
  * Change build-deps to use cheggaaa-pb.v3
  * Drop obsolete debian/patches
  * Add new build-deps needed by new release
    - golang-github-google-uuid-dev
    - golang-github-gorilla-websocket-dev
    - golang-github-mendersoftware-go-lib-micro-dev
    - golang-gopkg-vmihailenco-msgpack.v2-dev

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 06 Dec 2021 10:48:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,13 @@
                dh-golang,
                golang-any,
                golang-github-howeyc-gopass-dev,
+               golang-github-mendersoftware-go-lib-micro-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
-               golang-gopkg-cheggaaa-pb.v1-dev
+               golang-github-cheggaaa-pb.v3-dev,
+               golang-github-google-uuid-dev,
+               golang-github-gorilla-websocket-dev,
+               golang-gopkg-vmihailenco-msgpack.v2-dev,
 Standards-Version: 4.2.1
 Homepage: https://github.com/mendersoftware/mender-cli
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-cli

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mender-client-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha|b)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/mendersoftware/mender-cli/tags .*/v?(\d\S*)\.tar\.gz debian

## mender-cli 1.7.1+ds1

=== debian/changelog ===
mender-cli (1.7.1+ds1-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 13 Feb 2023 19:33:30 +0100

mender-cli (1.7.1+ds1-1) unstable; urgency=medium

  * debian/watch: Fix typo
  * debian/watch: strip -buildX suffixes from release tags
  * New upstream version 1.7.1+ds1

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 05 Apr 2022 15:35:01 +0200

## mender-cli 1.9.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mender-cli
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-howeyc-gopass-dev,
@@ -14,7 +15,7 @@
                golang-github-google-uuid-dev,
                golang-github-gorilla-websocket-dev,
                golang-gopkg-vmihailenco-msgpack.v2-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/mendersoftware/mender-cli
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-cli
 Vcs-Git: https://salsa.debian.org/go-team/packages/mender-cli.git

## mender-cli 1.9.0+ds1

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,7 @@
 		echo "aborting: PROJECT_DIR not set";\
 	    exit 1;\
 	 fi
-	wget -q -O ${PROJECT_DIR}/mender-artifact https://downloads.mender.io/mender-artifact/master/mender-artifact
+	wget -q -O ${PROJECT_DIR}/mender-artifact https://downloads.mender.io/mender-artifact/master/linux/mender-artifact
 	chmod +x ${PROJECT_DIR}/mender-artifact
 
 build-acceptance-image:

=== debian/changelog ===
mender-cli (1.9.0+ds1-1) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Declare policy 4.6.0 compliance
  * New upstream version 1.9.0+ds1

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Oct 2022 18:58:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mender-cli
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,

## mender-cli 1.12.0

=== debian/changelog ===
mender-cli (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Build-dep mender-{artifact,openssl,progressbar}

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 05 Jan 2025 19:10:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,9 @@
                golang-github-cheggaaa-pb.v3-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-websocket-dev,
+               golang-github-mendersoftware-mender-artifact-dev,
+               golang-github-mendersoftware-openssl-dev,
+               golang-github-mendersoftware-progressbar-dev,
                golang-gopkg-vmihailenco-msgpack.v2-dev,
 Standards-Version: 4.6.0
 Homepage: https://github.com/mendersoftware/mender-cli

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mender-cli-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha|b)[.]?(\d*)$/\$1~\$2\$3/,\
      uversionmangle=s/(\d)?(\-build\d*)?$/\$1/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/mendersoftware/mender-cli/tags .*/v?(\d\S*)\.tar\.gz debian

## mender-cli 1.13.0~git20250721.8e13be0

=== debian/changelog ===
mender-cli (1.13.0~git20250721.8e13be0-1+ubuntu+jammy+builder1955504759) experimental; urgency=medium

  * Release 1.13.0~git20250721.8e13be0-1+ubuntu+jammy+builder1955504759.
    See online docs for complete changelog

 -- root <root@ac777979a66e>  Tue, 29 Jul 2025 20:14:12 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make CGO_CFLAGS="${CGO_CFLAGS}" CGO_LDFLAGS="${CGO_LDFLAGS}" CC="${CC}" \
	GOOS=linux CGO_ENABLED=0 build

override_dh_auto_install:
	install -d debian/mender-cli/usr/bin
	install -m 0755 mender-cli debian/mender-cli/usr/bin/mender-cli

override_dh_auto_test:
	true

override_dh_strip:
	${CROSS_COMPILE}-strip --remove-section=.comment --remove-section=.note \
	debian/mender-cli/usr/bin/mender-cli

## mender-cli 1.13.0~git20250804.524a65b

=== debian/changelog ===
mender-cli (1.13.0~git20250804.524a65b-1+ubuntu+noble+builder2007416661) experimental; urgency=medium

  * Release 1.13.0~git20250804.524a65b-1+ubuntu+noble+builder2007416661.
    See online docs for complete changelog

 -- root <root@38584424034b>  Wed, 27 Aug 2025 20:14:51 +0000

## mender-cli 1.13.0~git20250828.056a447

=== debian/changelog ===
mender-cli (1.13.0~git20250828.056a447-1+ubuntu+noble+builder2013969177) experimental; urgency=medium

  * Release 1.13.0~git20250828.056a447-1+ubuntu+noble+builder2013969177.
    See online docs for complete changelog

 -- root <root@53f03fe7be35>  Sun, 31 Aug 2025 20:18:12 +0000

## mender-cli 1.13.0~git20250901.c666ba0

=== debian/changelog ===
mender-cli (1.13.0~git20250901.c666ba0-1+ubuntu+noble+builder2015827311) experimental; urgency=medium

  * Release 1.13.0~git20250901.c666ba0-1+ubuntu+noble+builder2015827311.
    See online docs for complete changelog

 -- root <root@58108be509e4>  Mon, 01 Sep 2025 20:19:13 +0000

## mender-cli 1.13.0~git20250902.10b0896

=== Makefile ===
GO ?= go
V ?=
PKGS = $(shell go list ./...)
PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
		-o -type f -name '*.go' -print)
PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)

GO_TEST_TOOLS = \
	github.com/opennota/check/cmd/varcheck \
	github.com/mendersoftware/deadcode

VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)

GO_LDFLAGS = \
	-ldflags "-X github.com/mendersoftware/mender-cli/cmd.Version=$(VERSION)"
BUILDFLAGS ?=

ifeq ($(V),1)
BUILDV = -v
endif

TAGS =
ifeq ($(LOCAL),1)
TAGS += local
endif

ifneq ($(TAGS),)
BUILDTAGS = -tags 'nopkcs11 $(TAGS)'
else
BUILDTAGS = -tags 'nopkcs11'
endif

build:
	CGO_ENABLED=0 $(GO) build $(BUILDFLAGS) $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

build-autocomplete-scripts: build
	@./mender-cli --generate-autocomplete

build-multiplatform:
	CGO_ENABLED=0 GOOS=linux GOARCH=amd64 $(GO) build $(BUILDTAGS) $(GO_LDFLAGS) $(BUILDV) $(BUILDFLAGS) \
	     -o mender-cli.linux.amd64
	CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 $(GO) build $(BUILDTAGS) $(GO_LDFLAGS) $(BUILDV) $(BUILDFLAGS) \
	     -o mender-cli.darwin.amd64

build-coverage:
	CGO_ENABLED=0 $(GO) build -cover -o mender-cli-test \
		-coverpkg $(shell echo $(PKGS) | tr  ' ' ',')

install:
	CGO_ENABLED=0 $(GO) install $(BUILDTAGS) $(GO_LDFLAGS) $(BUILDV) $(BUILDFLAGS)

install-autocomplete-scripts: build-autocomplete-scripts
	@echo "Installing Bash auto-complete script into ${DESTDIR}${PREFIX}/etc/bash_completion.d/"
	@install -d ${DESTDIR}$(PREFIX)/etc/bash_completion.d/
	@install -m 644 ./autocomplete/autocomplete.sh $(DESTDIR)$(PREFIX)/etc/bash_completion.d/
	@if which zsh >/dev/null 2>&1 ; then \
	echo "Installing zsh auto-complete script into ${DESTDIR}${PREFIX}/usr/local/share/zsh/site-functions/" && \
	install -d $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/ && \
	install -m 644 ./autocomplete/autocomplete.zsh $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/_mender-cli \
	; fi

clean:
	$(GO) clean
	rm -f coverage.txt coverage-tmp.txt

get-go-tools:
	set -e ; for t in $(GO_TEST_TOOLS); do \
		echo "-- go getting $$t"; \
		GO111MODULE=off go get -u $$t; \
	done

get-build-deps:
	apt-get update -qq
	apt-get install -yyq $(shell cat deb-requirements.txt)

get-deps: get-go-tools get-build-deps

test-unit:
	$(GO) test $(BUILDV) $(PKGS)

build-acceptance:
	docker compose -f tests/docker-compose.yml build acceptance $(BUILDFLAGS)

run-acceptance:
	docker compose -f tests/docker-compose.yml run acceptance

test-static:
	echo "-- checking for dead code"
	deadcode -ignore version.go:Version
	echo "-- checking with varcheck"
	varcheck .

cover: coverage
	$(GO) tool cover -func=coverage.txt

htmlcover: coverage
	$(GO) tool cover -html=coverage.txt

coverage:
	rm -f coverage.txt
	echo 'mode: set' > coverage.txt
	set -e ; for p in $(PKGS); do \
		rm -f coverage-tmp.txt;  \
		$(GO) test -coverprofile=coverage-tmp.txt $$p ; \
		if [ -f coverage-tmp.txt ]; then \
			cat coverage-tmp.txt | grep -v 'mode:' >> coverage.txt || /bin/true; \
		fi; \
	done
	rm -f coverage-tmp.txt

.PHONY: build clean get-go-tools get-apt-deps get-deps test check \
	cover htmlcover coverage

=== debian/changelog ===
mender-cli (1.13.0~git20250902.10b0896-1+ubuntu+noble+builder2018025178) experimental; urgency=medium

  * Release 1.13.0~git20250902.10b0896-1+ubuntu+noble+builder2018025178.
    See online docs for complete changelog

 -- root <root@e32016b28647>  Tue, 02 Sep 2025 20:17:17 +0000

## mender-cli 1.13.0~git20250903.228f05f

=== debian/changelog ===
mender-cli (1.13.0~git20250903.228f05f-1+ubuntu+noble+builder2063602335) experimental; urgency=medium

  * Release 1.13.0~git20250903.228f05f-1+ubuntu+noble+builder2063602335.
    See online docs for complete changelog

 -- root <root@1891442037b2>  Thu, 25 Sep 2025 20:22:11 +0000

## mender-cli 1.13.0~git20250926.fa3e947

=== Makefile ===
--- 
+++ 
@@ -79,10 +79,10 @@
 	$(GO) test $(BUILDV) $(PKGS)
 
 build-acceptance:
-	docker compose -f tests/docker-compose.yml build acceptance $(BUILDFLAGS)
+	docker compose -f tests/acceptance/docker-compose.yml build acceptance $(BUILDFLAGS)
 
 run-acceptance:
-	docker compose -f tests/docker-compose.yml run acceptance
+	docker compose -f tests/acceptance/docker-compose.yml run acceptance
 
 test-static:
 	echo "-- checking for dead code"

=== mender_server/backend/pkg/Makefile ===
LDFLAGS ?= "-s -w"
BUILDFLAGS ?= -trimpath -ldflags $(LDFLAGS)
TESTFLAGS :=
COMPONENT := pkg

# FIXME: The hardcoded -p 1 is required because of resource conflict with
#        mongodb. The dbtest package `Wipe` drops all databases, affecting
#        test binaries that are running in parallel.

.PHONY: test
test:
	go test $(BUILDFLAGS) $(TESTFLAGS) -p 1 ./...

.PHONY: generate
generate:
	go generate ./...

=== mender_server/backend/services/deviceauth/Makefile ===
COMPONENT := deviceauth

override TESTFLAGS := $(TESTFLAGS) -p 1

DOCFILES := $(wildcard docs/*_api.yml)
MAKEDIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

tests/%: docs/%.yml
	[ -e $@ ] && rm -r $@; \
	docker run --rm -t -v $(MAKEDIR):/work -w /work \
		--ulimit nofile=65536:65536 \
		-u $(shell id -u):$(shell id -g) \
		openapitools/openapi-generator-cli:v4.3.1 generate \
		-g python -i $< \
		-c tests/.openapi-generator.yml \
		-o $(dir $@) \
		--additional-properties=packageName=$*

.PHONY: docs
docs: $(patsubst docs/%.yml,tests/%,$(DOCFILES))

test_acceptance_run_deps := docs

include ../Makefile.common

=== mender_server/backend/services/deviceconnect/Makefile ===
COMPONENT := deviceconnect

DOCFILES := $(wildcard docs/*_api.yml)
MAKEDIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

tests/%: docs/%.yml
	[ -e $@ ] && rm -r $@; \
	docker run --rm -t -v $(MAKEDIR):/work -w /work \
		--ulimit nofile=65536:65536 \
		-u $(shell id -u):$(shell id -g) \
		openapitools/openapi-generator-cli:v4.3.1 generate \
		-g python -i $< \
		-c tests/.openapi-generator.yml \
		-o $(dir $@) \
		--additional-properties=packageName=$*

.PHONY: docs
docs: $(patsubst docs/%.yml,tests/%,$(DOCFILES))

test_acceptance_run_deps := docs

include ../Makefile.common

=== mender_server/backend/services/useradm/Makefile ===
COMPONENT := useradm

include ../Makefile.common

=== mender_server/backend/services/deviceconfig/tests/requirements.txt ===
pytest >= 6.1.2
pymongo >= 3.11

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

requests >= 2.25.1
chardet >= 4.0.0
idna >= 2.10

=== mender_server/backend/services/deviceconnect/tests/requirements.txt ===
pytest >= 6.1.2
pymongo >= 3.11
msgpack >= 1.0
websocket_client >= 0.57

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

=== mender_server/backend/services/iot-manager/tests/requirements.txt ===
pymongo >= 3.11

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

docker == 7.1.0
requests == 2.32.5
chardet >= 4.0.0
idna >= 2.10

=== debian/changelog ===
mender-cli (1.13.0~git20250926.fa3e947-1+ubuntu+noble+builder2069921556) experimental; urgency=medium

  * Release 1.13.0~git20250926.fa3e947-1+ubuntu+noble+builder2069921556.
    See online docs for complete changelog

 -- root <root@9fb9b2cd77a6>  Mon, 29 Sep 2025 14:54:25 +0000

## mender-cli 1.13.0~git20250929.7558e26

=== integration/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --cert=None --client-cert=None --index-url=None --pip-args=None requirements.in
#
py3dns==4.0.2
    # via -r requirements.in

=== mender_server/backend/Makefile ===
MENDER_IMAGE_REGISTRY ?= docker.io
MENDER_IMAGE_REPOSITORY ?= mendersoftware
MENDER_IMAGE_TAG ?= latest

MENDER_PUBLISH_REGISTRY ?= docker.io
MENDER_PUBLISH_REPOSTIORY ?= mendersoftware
MENDER_PUBLISH_TAG ?= $(MENDER_IMAGE_TAG)

SERVICES = $(subst services,,$(subst /,,$(sort $(dir $(wildcard services/*/)))))
BUILD_TARGETS := $(addsuffix -build, $(SERVICES))
TEST_TARGETS := $(addsuffix -test, $(SERVICES))
TEST_UNIT_TARGETS := $(addsuffix -test-unit, $(SERVICES))
TEST_ACCEPTANCE_TARGETS := $(addsuffix -test-acceptance, $(SERVICES))
DOCKER_TARGETS := $(addsuffix -docker, $(SERVICES))
DOCKER_PULL_TARGETS := $(addsuffix -docker-pull, $(SERVICES))
BUILD_ACCEPTANCE_TARGETS := $(addsuffix -build-acceptance, $(SERVICES))
DOCKER_ACCEPTANCE_TARGETS := $(addsuffix -docker-acceptance, $(SERVICES))
DOCKER_PUBLISH_TARGETS := $(addsuffix -docker-publish, $(SERVICES))

.PHONY: docker
docker: $(DOCKER_TARGETS)

.PHONY: $(DOCKER_TARGETS)
$(DOCKER_TARGETS):
	@$(MAKE) -C services/$(subst -docker,,$@) docker

.PHONY: docker-pull
docker-pull: $(DOCKER_PULL_TARGETS)

.PHONY: $(DOCKER_PULL_TARGETS)
$(DOCKER_PULL_TARGETS):
	@$(MAKE) -C services/$(subst -docker-pull,,$@) docker-pull

.PHONY: build
build: $(BUILD_TARGETS)

.PHONY: $(SERVICES)
$(BUILD_TARGETS):
	@$(MAKE) -C services/$(subst -build,,$@) build


.PHONY: test
test: test-unit test-integration

.PHONY: $(TEST_TARGETS)
$(TEST_TARGETS):
	@$(MAKE) -C services/$(subst -test,,$@) test

.PHONY: pkg-test
pkg-test:
	@$(MAKE) -C pkg/ test

.PHONY: test-unit
test-unit: pkg-test $(TEST_UNIT_TARGETS)

.PHONY: $(TEST_UNIT_TARGETS)
$(TEST_UNIT_TARGETS):
	@$(MAKE) -C services/$(subst -test-unit,,$@) test-unit

.PHONY: test-acceptance
test-acceptance: $(TEST_ACCEPTANCE_TARGETS)
		docker compose -p acceptance down --remove-orphans

.PHONY: $(TEST_ACCEPTANCE_TARGETS)
$(TEST_ACCEPTANCE_TARGETS):
	@$(MAKE) -C services/$(subst -test-acceptance,,$@) test-acceptance-run

.PHONY: test-integration
test-integration:
	./tests/integration/run $(args)

.PHONY: build-acceptance
build-acceptance: $(BUILD_ACCEPTANCE_TARGETS)

.PHONY: $(BUILD_ACCEPTANCE_TARGETS)
$(BUILD_ACCEPTANCE_TARGETS):
	@$(MAKE) -C services/$(subst -build-acceptance,,$@) build-acceptance

.PHONY: docker-acceptance
docker-acceptance: $(DOCKER_ACCEPTANCE_TARGETS)

.PHONY: $(DOCKER_ACCEPTANCE_TARGETS)
$(DOCKER_ACCEPTANCE_TARGETS):
	@$(MAKE) -C services/$(subst -docker-acceptance,,$@) docker-acceptance

.PHONY: docker-publish
docker-publish: $(DOCKER_PUBLISH_TARGETS)

.PHONY: $(DOCKER_PUBLISH_TARGETS)
$(DOCKER_PUBLISH_TARGETS):
	@$(MAKE) -C services/$(subst -docker-publish,,$@) docker-publish

=== mender_server/backend/services/create-artifact-worker/Makefile ===
COMPONENT := create-artifact-worker

_no_include_acceptance_tests := true

.PHONY: test-acceptance-run test-acceptance

include ../Makefile.common

=== mender_server/backend/services/deployments/Makefile ===
COMPONENT := deployments

override BUILDTAGS_REQUIRED := nopkcs11

DOCFILES := $(wildcard ../../../backend/docs/api/*deployments.yaml)
MAKEDIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

tests/%: ../../../backend/docs/api/%_deployments.yaml
	[ -e $@ ] && rm -r $@; \
	docker run --rm -t -v $(MAKEDIR):/work -v $(MAKEDIR)/../../../backend/docs/api:/api -w /work \
		--ulimit nofile=65536:65536 \
		-u $(shell id -u):$(shell id -g) \
		openapitools/openapi-generator-cli:v4.3.1 generate \
		-g python -i /api/$(notdir $<) \
		-c tests/.openapi-generator.yml \
		-o $(dir $@) \
		--additional-properties=packageName=$* && \
		sed -i.gitignore -e 's/"log":false/"log":False/g' tests/*/test/test_*.py
		# see https://github.com/OpenAPITools/openapi-generator/issues/11421
		# there is a bug in the python generator which produces non-python syntax

.PHONY: docs
docs: $(patsubst ../../../backend/docs/api/%_deployments.yaml,tests/%,$(DOCFILES))

test_acceptance_run_deps := docs

include ../Makefile.common

=== mender_server/backend/services/deviceconfig/Makefile ===
COMPONENT := deviceconfig

DOCFILES := $(wildcard docs/*_api.yml)
MAKEDIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

tests/%: docs/%.yml
	[ -e $@ ] && rm -r $@; \
	docker run --rm -t -v $(MAKEDIR):/work -w /work \
		--ulimit nofile=65536:65536 \
		-u $(shell id -u):$(shell id -g) \
		openapitools/openapi-generator-cli:v4.3.1 generate \
		-g python -i $< \
		-c tests/.openapi-generator.yml \
		-o $(dir $@) \
		--additional-properties=packageName=$*

.PHONY: docs
docs: $(patsubst docs/%.yml,tests/%,$(DOCFILES))

test_acceptance_run_deps := docs

include ../Makefile.common

=== mender_server/backend/services/inventory/Makefile ===
COMPONENT := inventory

include ../Makefile.common

=== mender_server/backend/services/iot-manager/Makefile ===
COMPONENT := iot-manager

test_acceptance_run_deps := docs

include ../Makefile.common

DOCFILES := $(wildcard docs/*_api.yml)
ROOTDIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

tests/%: docs/%.yml
	[ -e $@ ] && rm -r $@; \
	docker run --rm -t -v $(ROOTDIR):$(ROOTDIR) -w $(ROOTDIR) \
		--ulimit=nofile=65535 \
		-u $(shell id -u):$(shell id -g) \
		openapitools/openapi-generator-cli:v5.3.1 generate \
		-g python -i $< \
		-c tests/.openapi-generator.yml \
		-o $(dir $@) \
		--additional-properties=packageName=$*

.PHONY: docs
docs: $(patsubst docs/%.yml,tests/%,$(DOCFILES))

=== mender_server/backend/services/reporting/Makefile ===
COMPONENT := reporting

DOCFILES := $(wildcard docs/*_api.yml)
ROOTDIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

tests/%: docs/%.yml
	[ -e $@ ] && rm -r $@; \
	docker run --rm -t -v $(ROOTDIR):$(ROOTDIR) -w $(ROOTDIR) \
		-u $(shell id -u):$(shell id -g) \
		openapitools/openapi-generator-cli:v5.3.1 generate \
		-g python -i $< \
		-c tests/.openapi-generator.yml \
		-o $(dir $@) \
		--additional-properties=packageName=$*

.PHONY: docs
docs: $(patsubst docs/%.yml,tests/%,$(DOCFILES))

.PHONY: test-acceptance-run test-acceptance
_no_include_acceptance_tests := true

include ../Makefile.common

=== mender_server/backend/services/workflows/Makefile ===
COMPONENT := workflows

include ../Makefile.common

=== mender_server/backend/services/reporting/tests/requirements.txt ===
opensearch-py >= 2.0.0, < 4.0.0

# Requirements generated by openapi-generator
certifi >= 14.05.14
future; python_version<="2.7"
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

requests >= 2.25.1
chardet >= 4.0.0
idna >= 2.10

=== debian/changelog ===
mender-cli (1.13.0~git20250929.7558e26-1+ubuntu+noble+builder2072824469) experimental; urgency=medium

  * Release 1.13.0~git20250929.7558e26-1+ubuntu+noble+builder2072824469.
    See online docs for complete changelog

 -- root <root@6738c6f169ea>  Tue, 30 Sep 2025 20:23:30 +0000

## mender-cli 1.13.0~git20251001.ec76983

=== debian/changelog ===
mender-cli (1.13.0~git20251001.ec76983-1+ubuntu+noble+builder2077236201) experimental; urgency=medium

  * Release 1.13.0~git20251001.ec76983-1+ubuntu+noble+builder2077236201.
    See online docs for complete changelog

 -- root <root@932544a14570>  Thu, 02 Oct 2025 20:21:52 +0000

## mender-cli 1.13.0~git20251003.854b184

=== debian/changelog ===
mender-cli (1.13.0~git20251003.854b184-1+ubuntu+noble+builder2142334790) experimental; urgency=medium

  * Release 1.13.0~git20251003.854b184-1+ubuntu+noble+builder2142334790.
    See online docs for complete changelog

 -- root <root@ae8aa19f2669>  Wed, 05 Nov 2025 20:28:40 +0000

## mender-cli 1.13.0~git20251106.1b976f6

=== debian/changelog ===
mender-cli (1.13.0~git20251106.1b976f6-1+ubuntu+noble+builder2147822331) experimental; urgency=medium

  * Release 1.13.0~git20251106.1b976f6-1+ubuntu+noble+builder2147822331.
    See online docs for complete changelog

 -- root <root@5771516697c9>  Sat, 08 Nov 2025 20:29:42 +0000

## mender-cli 1.13.0~git20251110.a12abb6

=== debian/changelog ===
mender-cli (1.13.0~git20251110.a12abb6-1+ubuntu+noble+builder2163625634) experimental; urgency=medium

  * Release 1.13.0~git20251110.a12abb6-1+ubuntu+noble+builder2163625634.
    See online docs for complete changelog

 -- root <root@5da5e4eee23c>  Mon, 17 Nov 2025 20:32:18 +0000

## mender-cli 2.0.0

=== debian/changelog ===
mender-cli (2.0.0-1+ubuntu+noble) stable; urgency=medium

  * Release 2.0.0-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@e19cf6a1adde>  Tue, 18 Nov 2025 09:50:40 +0000

## mender-cli 2.1.0~git20251118.4b05f34

=== debian/changelog ===
mender-cli (2.1.0~git20251118.4b05f34-1+ubuntu+noble+builder2200024284) experimental; urgency=medium

  * Release 2.1.0~git20251118.4b05f34-1+ubuntu+noble+builder2200024284.
    See online docs for complete changelog

 -- root <root@0bccfe5ff97e>  Sat, 06 Dec 2025 20:30:01 +0000

## mender-cli 2.1.0~git20251208.658bbc2

=== debian/changelog ===
mender-cli (2.1.0~git20251208.658bbc2-1+ubuntu+noble+builder2220830645) experimental; urgency=medium

  * Release 2.1.0~git20251208.658bbc2-1+ubuntu+noble+builder2220830645.
    See online docs for complete changelog

 -- root <root@4ff3bccea19b>  Wed, 17 Dec 2025 20:30:33 +0000

## mender-cli 2.1.0~git20251218.0efffe6

=== debian/changelog ===
mender-cli (2.1.0~git20251218.0efffe6-1+debian+trixie+builder2223060572) experimental; urgency=medium

  * Release 2.1.0~git20251218.0efffe6-1+debian+trixie+builder2223060572.
    See online docs for complete changelog

 -- root <root@25f55712c20f>  Thu, 18 Dec 2025 20:28:10 +0000

## mender-cli 2.1.0~git20251219.f9b2182

=== debian/changelog ===
mender-cli (2.1.0~git20251219.f9b2182-1+ubuntu+noble+builder2241044353) experimental; urgency=medium

  * Release 2.1.0~git20251219.f9b2182-1+ubuntu+noble+builder2241044353.
    See online docs for complete changelog

 -- root <root@ef714f016798>  Thu, 01 Jan 2026 20:27:49 +0000

## mender-cli 2.1.0~git20260102.bf3691a

=== debian/changelog ===
mender-cli (2.1.0~git20260102.bf3691a-1+ubuntu+noble+builder2256632661) experimental; urgency=medium

  * Release 2.1.0~git20260102.bf3691a-1+ubuntu+noble+builder2256632661.
    See online docs for complete changelog

 -- root <root@eec47518c535>  Sun, 11 Jan 2026 20:39:13 +0000

## mender-cli 2.1.0~git20260112.6d01dc4

=== debian/changelog ===
mender-cli (2.1.0~git20260112.6d01dc4-1+ubuntu+noble+builder2277394286) experimental; urgency=medium

  * Release 2.1.0~git20260112.6d01dc4-1+ubuntu+noble+builder2277394286.
    See online docs for complete changelog

 -- root <root@70a9562e985e>  Wed, 21 Jan 2026 20:31:37 +0000

## mender-cli 2.1.0~git20260123.2a1e56c

=== debian/changelog ===
mender-cli (2.1.0~git20260123.2a1e56c-1+ubuntu+noble+builder2294923236) experimental; urgency=medium

  * Release 2.1.0~git20260123.2a1e56c-1+ubuntu+noble+builder2294923236.
    See online docs for complete changelog

 -- root <root@d5ecef735add>  Thu, 29 Jan 2026 20:09:20 +0000

## mender-cli 2.1.0~git20260130.97ec169

=== debian/changelog ===
mender-cli (2.1.0~git20260130.97ec169-1+ubuntu+noble+builder2299314977) experimental; urgency=medium

  * Release 2.1.0~git20260130.97ec169-1+ubuntu+noble+builder2299314977.
    See online docs for complete changelog

 -- root <root@ecd89c34c2a2>  Sun, 01 Feb 2026 20:17:21 +0000

## mender-cli 2.1.0~git20260202.59131bd

=== mender_server/backend/services/deployments/Makefile ===
COMPONENT := deployments

override BUILDTAGS_REQUIRED := nopkcs11

DOCFILES := $(wildcard ../../../backend/docs/api/deployments/*.yaml)
MAKEDIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

tests/%: ../../../backend/docs/api/deployments/%.yaml
	[ -e $@ ] && rm -r $@; \
	docker run --rm -t -v $(MAKEDIR):/work -v $(MAKEDIR)/../../../backend/docs/api:/api -w /work \
		--ulimit nofile=65536:65536 \
		-u $(shell id -u):$(shell id -g) \
		openapitools/openapi-generator-cli:v4.3.1 generate \
		-g python -i /api/deployments/$(notdir $<) \
		-c tests/.openapi-generator.yml \
		-o $(dir $@) \
		--additional-properties=packageName=$* && \
		sed -i.gitignore -e 's/"log":false/"log":False/g' tests/*/test/test_*.py
		# see https://github.com/OpenAPITools/openapi-generator/issues/11421
		# there is a bug in the python generator which produces non-python syntax

.PHONY: docs
docs: $(patsubst ../../../backend/docs/api/deployments/%.yaml,tests/%,$(DOCFILES))

test_acceptance_run_deps := docs

include ../Makefile.common

=== debian/changelog ===
mender-cli (2.1.0~git20260202.59131bd-1+ubuntu+noble+builder2303778094) experimental; urgency=medium

  * Release 2.1.0~git20260202.59131bd-1+ubuntu+noble+builder2303778094.
    See online docs for complete changelog

 -- root <root@2a31a04561e1>  Tue, 03 Feb 2026 20:31:02 +0000

## mender-cli 2.1.0~git20260204.d4c6b87

=== debian/changelog ===
mender-cli (2.1.0~git20260204.d4c6b87-1+ubuntu+noble+builder2306317847) experimental; urgency=medium

  * Release 2.1.0~git20260204.d4c6b87-1+ubuntu+noble+builder2306317847.
    See online docs for complete changelog

 -- root <root@337b05673aab>  Wed, 04 Feb 2026 20:16:43 +0000

## mender-cli 2.1.0~git20260205.d22890e

=== debian/changelog ===
mender-cli (2.1.0~git20260205.d22890e-1+ubuntu+noble+builder2308767998) experimental; urgency=medium

  * Release 2.1.0~git20260205.d22890e-1+ubuntu+noble+builder2308767998.
    See online docs for complete changelog

 -- root <root@289cc458a03a>  Thu, 05 Feb 2026 20:14:17 +0000

## mender-cli 2.1.0~git20260206.f816073

=== debian/changelog ===
mender-cli (2.1.0~git20260206.f816073-1+ubuntu+noble+builder2327349554) experimental; urgency=medium

  * Release 2.1.0~git20260206.f816073-1+ubuntu+noble+builder2327349554.
    See online docs for complete changelog

 -- root <root@382cf4cef7ec>  Sun, 15 Feb 2026 20:17:58 +0000
